Page MenuHomePhabricator

[AdvancedSearch] Mock for deepcat, subpageOf and inLanguage integration
Closed, ResolvedPublic

Description

These 3 parameters will be added to the Beta feature.

NEW:

Event Timeline

Restricted Application added projects: TCB-Team, Design. · View Herald TranscriptFeb 13 2018, 2:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Charlie_WMDE added a comment.EditedFeb 13 2018, 2:35 PM

First mock for new parameters.

subpageOf: Can this field take multiple subpages? Right now I'm thinking it wouldn't make sense to look in multiple subpages unless it's an OR and not an AND like it would be with the categories.

deepcat: Will we be able to search through multiple categories or just one? If multiple, then what is the limit? With multiple the categories should turn into pills as well. If just one then after picking it, it should only be possible to remove the category, before being able to add another one. (I can mock that once I know the behavior) Is there a possibility to auto suggest the categories? Since there are only specific ones and mistyping will lead to no results, it would be great to be able to suggest existing categories to the user based on what they're typing.

InLanguage: Can we auto suggest here as well? This makes sense because we know the languages available and this would also help us avoid different types of input like one person looking for "DE" , one for "German" one for "Deutsch" etc. That being said it would be great if all those inputs could still result in the correct languages being suggested. So if i don't know the name for Thai in Thai i could type Thai in a Latin alphabet and still get Thai as a result. Second question is if we can look for multiple languages if the search uses OR? Pill behavior should be the same as with the categories.

This is not the newest version. There is still some uncertainty on how some fields behave (see questions in description). I will update the mock here when this has clarified.

T187725
T166851

New mock added in description.

Question to @gabriel-wmde the filetype field is using the DropDownInputWidget, correct?

Charlie_WMDE updated the task description. (Show Details)Feb 20 2018, 1:30 PM

Yes, file type is based DropDownInputWidget.

The category field should not use CapsuleMultiselectWidget, that widget is on the way out and being replaced by MenuTagMultiselectWidget.
Also, it should not allow arbitrary input, since the categories are fixed names.

@gabriel-wmde

Thanks for letting me know that it's being replaced. MenuTagMultiselectWidget should be fine then.

The reason why I wanted it to allow arbitrary input is that pages can have categories that don't exist. The search will not suggest them but when i look for them anyway, it'll find the pages in that non-existing category nonetheless. This is the behavior that incategory: supports. I think it would be nice to be able to do the same here. Is there any technical reason I'm not seeing why we should not support it?

Is there any technical reason I'm not seeing why we should not support it?

There is no technical reason, I was just baffled why you put it in there. If the API call that provides the content for the autocomplete also returns non-existing categories, will the arbitrary content setting still be needed?

Charlie_WMDE added a comment.EditedFeb 21 2018, 10:56 AM

It doesn't return non-existing categories in the autosuggester-drop-down but it does deliver a result on the result page.

Example:
search for category:bla This doesn't find anything ebcause the category doesn't exist.

search for incategory:bla I don't quite understand why this yields a result though.

if I search for "Category:bla" in the main search bar I get this result:

so it looks like it can find pages in categories even though it can't find the category itself. But When typing it, I did not get a suggestion in the drop-down:

Here's how it looks like on the page

And when I click the red link

I'm not entirely sure what to make of this and what the difference between the category and incategory search is but I would like to give the option to look for pages with non-existent categories if this is a thing.

Charlie_WMDE updated the task description. (Show Details)Feb 22 2018, 5:22 PM

After talking to @Lea_WMDE today we decided it makes sense to allow to search for redlink-categories since deepcat can find pages that have redlink-categories, just like the upload wizard does. I was wondering if it is possible to display the text in red when the tag is created with a red-link category. @gabriel-wmde

The newest mock is in the ticket description.

Charlie_WMDE updated the task description. (Show Details)Mar 5 2018, 4:25 PM
Charlie_WMDE closed this task as Resolved.Apr 18 2018, 12:30 PM